## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSharedVariableListener Struct Reference
[Crystal Space 3D Engine]

A listener so that you can get notified when a variable is changed. More...

`#include <iengine/sharevar.h>`

Inheritance diagram for iSharedVariableListener:

[legend]
List of all members.

## Public Member Functions

virtual void | VariableChanged (iSharedVariable *var)=0
| A variable has changed.

## Detailed Description

A listener so that you can get notified when a variable is changed.

Definition at line 97 of file sharevar.h.

## Member Function Documentation

virtual void iSharedVariableListener::VariableChanged | ( | iSharedVariable * | var | ) | `[pure virtual]`

| A variable has changed.

The documentation for this struct was generated from the following file:

- iengine/sharevar.h